Por ejemplo: D:\gvSIG-desktop-2.4.0-2834-testing-win-x86_64\

Associated revisions
Revision 43499 - 09/14/2017 10:42 AM - Joaquín  del Cerro Murciano

refs #4653. Corregida la funcion xmkdir del "gvSIG.sh".

Revision 43500 - 09/14/2017 02:03 PM - Joaquín  del Cerro Murciano

refs #4653, correcciones en la funcion xmkdir de gvSIG.sh

Revision 43501 - 09/14/2017 05:12 PM - Joaquín  del Cerro Murciano

refs #4653.

History
#1 - 09/14/2017 10:30 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2839-RC2 (rev. org.gvsig.desktop-2.0.206) to 2.4.0-2837 (rev. org.gvsig.desktop-2.0.204)

#2 - 09/14/2017 10:45 AM - Joaquín  del Cerro Murciano
- Assignee set to Joaquín  del Cerro Murciano
- Status changed from New to Fixed

No tengo muy claro la forma de reproducir ese mismo error.
Intentandolo me ha fallado en otro sitio pero parece que viene a ser el mismo tipo de error.

Hace algunas versiones de gvSIG teniamos problemas al ejecutar un mkdir en un WinXP.
Para evitarlo creamos una funcion xmkdir que hacia "malabares" con los parametos del mkdir para que funcionase en XP.
En estos momentos, no se si por el cambio de binarios de Busybox o por que es un Win8.1 esos malabares ya no funcionan.
Si simplemente hacemos un mkdir normal, sin ningun malabar, en mi win8.1 funciona correctamente.
Me voy a limitar a quitar lo que hacia la funcion xmkdir y que llame a mkdir directamente.
Con las pruebas que he hecho parece que funciona.

#3 - 09/14/2017 01:06 PM - Joaquín  del Cerro Murciano
- Status changed from Fixed to In progress

#4 - 09/14/2017 02:01 PM - Joaquín  del Cerro Murciano

Bueno, antes habia acabado muy pronto.
Eso no soluciona el problema, solo hace que no pete, pero no hace lo que toca.
He recuperado el codigo de antes, y me ha tocado añadirle un caso especial en la creacion de la funcion xmkdir para CYGWIN.

Con CYGWIN intentar hacer:

mkdir c:/algo1/algo2

No falla, pero se limita a crear una carpte "C" y poco mas en la carpeta corriente.

Tampoco podemos hacer un:

mkdir /cygdrive/c/algo1/algo2

Esto da error, igual que pasaba antes con el busybox de 32bits si intentabamos:

mkdir c:/algo1/algo2

Asi que la funcion xmkdir cuando estamos con CYGWIN hace:
    -  Primero llama a cygpath para convertir la ruta a absoluta en formato windows, de esta forma solo nos quedaran rutas tipo "C:/...".
    -  Luego hace un cd a "cd /cygdrive/c"
    -  y luego un "mkdir -p resto_de_ruta_sin_unidad"

Con esto parece que se arregla el problema.

Para cuando es windows y no CYGWIN, mantiene lo que hacia antes.

#5 - 09/14/2017 02:08 PM - Joaquín  del Cerro Murciano
- Status changed from In progress to Fixed

#6 - 09/25/2017 06:58 AM - Álvaro Anguix
- Status changed from Fixed to Closed
